#include <unistd.h> // sleep(), fork(), execXXX(), pid_t (in sys/types.h)
#include <iostream>
#include <string>

using namespace std;

int main(int argc, char * argv[]) {
  if (argc == 1) {
    cerr << "usage: " << argv[0] << " command args...\n";
    return 1;
  }

    execv(argv[1], argv + 1); // first argument is the program, the next one is arguments
    // This code is reached only if execv() fails
    perror("failed to run the program");
    return 1;
}
